import 'package:soliq_id/src/data/dio/type_parse_service.dart';

class ProcessResponseModel{
  final bool success;
  final int code;
  final String message;

  ProcessResponseModel({
    required this.success,
    required this.code,
    required this.message,
  });

  factory ProcessResponseModel.fromJson(Map<String, dynamic> response) {
    return ProcessResponseModel(
      success: parseToBool(response, "success"),
      code: parseToInt(response, "code"),
      message: parseToString(response, "message"),
    );
  }
}