

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../../utils/color_utils.dart';

class CustomLoading extends StatelessWidget {
  const CustomLoading({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 100,
      width: 100,
      decoration: BoxDecoration(
          color:Colors.black.withOpacity(0.2),
          borderRadius: BorderRadius.circular(16)),
      child: Container(
        margin: const EdgeInsets.all(16),
        child:const CupertinoActivityIndicator(
          color: AppColor.custom_redColor,
          radius: 24,
        ),
      ),
    );
  }
}
