

import 'package:flutter/material.dart';

class AppColor {


  static const Color appColor = Color(0xFFF6F6F8);
  static const Color chartColor = Color(0xFFD9D9D9);
  static const Color chartActiveColor = Color(0xFF0ABD06);
  static const Color custom_redColor = Color(0xFF4C0120);
  static const Color redColor = Color(0xFFD00606);
  static const Color blackColor = Color(0xFF000000);
}
class HexColor extends Color {
  static int _getColorFromHex(String hexColor) {
    hexColor = hexColor.toUpperCase().replaceAll('#', '');
    if (hexColor.length == 6) {
      hexColor = 'FF' + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }

  HexColor(final String hexColor) : super(_getColorFromHex(hexColor));
}