import 'package:soliq_id/src/screens/face_id_signin.dart';
import 'package:soliq_id/src/utils/translations/uz.dart';

enum LocalizationType {
  UZ,
  RU,
  UZ_KIRILL,
  KR,
}

String getLocalizationType(LocalizationType localizationType) {
  switch (localizationType) {
    case LocalizationType.UZ:
      return "UZ";
    case LocalizationType.RU:
      return "RU";
    case LocalizationType.UZ_KIRILL:
      return "UZ_KIRILL";
    case LocalizationType.KR:
      return "KR";
    default:
      return "UZ";
  }


}

String getString (  String key){
  switch (localeEnum) {
    case LocalizationType.UZ:
      return uz[key]??"";
    case LocalizationType.RU:
      return "RU";
    case LocalizationType.UZ_KIRILL:
      return "UZ_KIRILL";
    case LocalizationType.KR:
      return "KR";
    default:
      return "UZ";
  }
}
