import 'package:soliq_id/src/data/dio/type_parse_service.dart';

class DataModel{
  final int pinfl;
  final String fio;

  DataModel({
    required this.pinfl,
    required this.fio,
  });


  factory DataModel.fromJson(Map<String, dynamic> response) {
    return DataModel(
      pinfl: parseToInt(response, "pinfl"),
      fio: parseToString(response, "fio"),
    );
  }

  factory DataModel.example() {
    return DataModel(
      pinfl: 0,
      fio: "",
    );
  }
}