import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class CircularIndicatorWidget extends StatelessWidget {
  const CircularIndicatorWidget({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return const Center(
      child: CupertinoActivityIndicator(),
    );
  }
}

class CircularProgressWidget {
  static show(BuildContext context) {
    return showDialog(
      barrierDismissible: false,
      context: context,
      routeSettings: const RouteSettings(name: "CircularProgressDialog"),
      builder: (context) => const AlertDialog(
        content: Center(child: CupertinoActivityIndicator()),
        backgroundColor: Colors.transparent,
        elevation: 0,
      ),
    );
  }
}
